import { ColumnProcessObj, TableColumnType, SortType, TableRowType } from './types';
/**
 * @internal
 *
 * This is the sort function used in the uncontrolled table mode.
 */
export declare function sortData<TTableRowType extends TableRowType>(data: TTableRowType[], sortedProp: SortType, sortValueObj?: ColumnProcessObj<TTableRowType, number>): TTableRowType[];
/**
 * @internal
 *
 * This is the filter function used in the uncontrolled table mode.
 */
export declare function filterData<TTableRowType extends TableRowType>(data: TTableRowType[], headers: Record<string, TableColumnType<TTableRowType>>, filterText: string): TTableRowType[];
/**
 * @internal
 *
 * This is the paginate function used in the uncontrolled table mode.
 */
export declare function paginateData<TTableRowType extends TableRowType>(data: TTableRowType[], currentPage: number, rowsPerPage?: number): TTableRowType[];
